#define _XTAL_FREQ 4000000
#include "assets/config/config.h"
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/MAX6952/MAX6952.h"
#include "assets/LM75/LM75.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  ANSEL = 0x00;    //Make PORT A digital I/O (NB: only necessary for PORT A)!
  
  LM75_init();
  MAX6952_init();
  
  while(1)
  {
    signed int tempr = (signed int) LM75_read(TEMPERATURE_ADDRESS);
    MAX6952_displayNumber(tempr);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------